classification
Title: Document happy eyeball parameters in loop.create_connection signature docs
Type: enhancement Stage: resolved
Components: asyncio, Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ido Michael, asvetlov, docs@python, mdk, miss-islington, xtreak, yselivanov
Priority: normal Keywords: easy, patch

Created on 2019-12-24 06:38 by xtreak, last changed 2020-02-24 15:06 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18315 merged Ido Michael, 2020-02-02 15:08
PR 18428 merged miss-islington, 2020-02-10 09:48
PR 18523 closed Ido Michael, 2020-02-16 17:48
PR 18624 merged Ido Michael, 2020-02-23 14:59
PR 18649 merged miss-islington, 2020-02-24 14:59
Messages (12)
msg358840 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-24 06:38
Created from https://github.com/aio-libs/aiohttp/issues/4451 . happy_eyeballs_delay and interleave are not documented in the signature at [0] though the parameters were explained below . Andrew, feel free to update if there is any additional action needed besides signature update. I guess it could be tagged as a good newcomer friendly issue.

[0] https://docs.python.org/3/library/asyncio-eventloop.html#asyncio.loop.create_connection
msg358844 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-12-24 08:36
Ideally, a small chapter with a description of Happy Eyeballs algorithm would be nice to have but I don't insist.

Updating the method signature is a big step anyway.
msg361241 - (view) Author: Ido Michael (Ido Michael) * Date: 2020-02-02 15:09
Created PR added arguments to method signature in doc.
GH-18315
msg361677 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-02-10 09:49
New changeset 5305cc9dbfe8a5a0ab666511f3ba7f026c8983f8 by idomic in branch 'master':
bpo-39128: Added happy_eyeballs_delay, interleave to function signature (GH-18315)
https://github.com/python/cpython/commit/5305cc9dbfe8a5a0ab666511f3ba7f026c8983f8
msg361678 - (view) Author: miss-islington (miss-islington) Date: 2020-02-10 09:54
New changeset af95d790a86fc46739badfa9edbaeb264ee96600 by Miss Islington (bot) in branch '3.8':
bpo-39128: Added happy_eyeballs_delay, interleave to function signature (GH-18315)
https://github.com/python/cpython/commit/af95d790a86fc46739badfa9edbaeb264ee96600
msg361679 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-02-10 09:56
I merged the first PR about adding parameter, but I'm not closing this issue yet, as Andrew said, a small chapter with a description of Happy Eyeballs algorithm would be nice, if anyone want to write a PR, go for it.
msg361692 - (view) Author: Ido Michael (Ido Michael) * Date: 2020-02-10 13:25
Thanks Julien, I forgot about this part, will create a new PR.

I thought referencing the abstract of the algorithm + a link to the IETF RFC:

  Happy Eyeballs: Success with Dual-Stack Hosts
   When a server's IPv4 path and protocol are working, but the server's
   IPv6 path and protocol are not working, a dual-stack client
   application experiences significant connection delay compared to an
   IPv4-only client.  This is undesirable because it causes the dual-
   stack client to have a worse user experience.  This document
   specifies requirements for algorithms that reduce this user-visible
   delay and provides an algorithm.

https://tools.ietf.org/html/rfc6555
msg362087 - (view) Author: Ido Michael (Ido Michael) * Date: 2020-02-16 17:49
Created 2nd PR with the Algorithm documentation:
GH-18523
msg362515 - (view) Author: Ido Michael (Ido Michael) * Date: 2020-02-23 15:00
Created new PR and removed the old one GH-18624
msg362590 - (view) Author: miss-islington (miss-islington) Date: 2020-02-24 14:59
New changeset 8af4712a16e4b7d1b60f1faec13cd7a88da95f6a by idomic in branch 'master':
bpo-39128: Added algorithm description (GH-18624)
https://github.com/python/cpython/commit/8af4712a16e4b7d1b60f1faec13cd7a88da95f6a
msg362591 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2020-02-24 15:01
Thanks, Ido
msg362592 - (view) Author: miss-islington (miss-islington) Date: 2020-02-24 15:06
New changeset 1f4cf0c22b00fefb17611546755b65d3cb488330 by Miss Islington (bot) in branch '3.8':
bpo-39128: Added algorithm description (GH-18624)
https://github.com/python/cpython/commit/1f4cf0c22b00fefb17611546755b65d3cb488330
History
Date User Action Args
2020-02-24 15:06:06miss-islingtonsetmessages: + msg362592
2020-02-24 15:01:30asvetlovsetmessages: + msg362591
2020-02-24 15:01:22asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-24 14:59:56miss-islingtonsetpull_requests: + pull_request18008
2020-02-24 14:59:44miss-islingtonsetmessages: + msg362590
2020-02-23 15:00:22Ido Michaelsetmessages: + msg362515
2020-02-23 14:59:30Ido Michaelsetpull_requests: + pull_request17989
2020-02-16 17:49:29Ido Michaelsetmessages: + msg362087
2020-02-16 17:48:40Ido Michaelsetpull_requests: + pull_request17900
2020-02-10 13:25:14Ido Michaelsetmessages: + msg361692
2020-02-10 09:56:12mdksetmessages: + msg361679
2020-02-10 09:54:42miss-islingtonsetnosy: + miss-islington
messages: + msg361678
2020-02-10 09:49:10mdksetnosy: + mdk
messages: + msg361677
2020-02-10 09:48:58miss-islingtonsetpull_requests: + pull_request17804
2020-02-02 15:09:00Ido Michaelsetnosy: + Ido Michael
messages: + msg361241
2020-02-02 15:08:15Ido Michaelsetkeywords: + patch
stage: patch review
pull_requests: + pull_request17691
2019-12-24 08:36:45asvetlovsetkeywords: + easy

messages: + msg358844
2019-12-24 06:38:19xtreakcreate